package me.msoucy.ptures.model

import me.msoucy.ptures.view.PlayerView

class Team(var view : PlayerView) {

    var creatures = mutableListOf<Creature>()
    var selectedCreatures = mutableListOf(0)

    val activeCreatures get() = selectedCreatures.map { view.creatureViewFor(creatures[it]) }
}